# BBC::Cosmos::Config

Abstracts logic (required by multiple other BBC specific gems) surrounding configuration data loading and access.

## Installation

Add this line to your application's Gemfile:

    gem 'bbc-cosmos-config'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install bbc-cosmos-config

## Usage

```
require "bbc/cosmos/config"

BBC::Cosmos.production? # => true/false depending on ENV["APP_ENV"]

BBC::Cosmos::Config.aws # => returns object that provides methods for accessing AWS information
BBC::Cosmos::Config.cosmos # => returns object that provides methods for accessing Cosmos information
BBC::Cosmos::Config.app # => returns object that provides methods for specific json configuration key values
```

## Contributing

1. Fork it ( http://github.com/BBC-News/bbc-cosmos-config/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
